png2swf(1)

NAME
png2swf - Takes a number of png files and converts them to a swf movie, one picture per frame.

Synopsis
png2swf [-X width] [-Y height] [-o file.swf] [-r rate] file1.png [file2.png...]

DESCRIPTION
This tools converts png image files into an SWF animation. It takes any number of input pictures, and converts them to SWF one-by-one, where every converted picture is a seperate frame in the target SWF.

The way the images are encoded in SWF is very similar to PNG (in that a zlib-based, lossless compression algorithm is used).

OPTIONS

-r, --rate framerate
        Set movie framerate (frames per second)

-o, --output filename
        Explicitly specify output file. (Otherwise, output will go to stdout / output.swf)

-z, --zlib zlib
        Use Flash MX (SWF 6) Zlib encoding for the output. The resulting SWF will be
        smaller, but not playable in Flash Plugins of Version 5 and below.

-T, --flashversion
        Set the flash version to generate

-X, --pixel width
        Force movie width to width (default: autodetect)

-Y, --pixel height
        Force movie height to height (default: autodetect)

-v, --verbose level
        Set verbose level (0=quiet, 1=default, 2=debug)

-q, --quiet
        Omit normal log messages, only log errors

-C, --cgi
        For use as CGI- prepend http header, write to stdout

-V, --version
        Print version information and exit

-s, --scale percent
        Scale image to percent% size.